summaryrefslogtreecommitdiffstats
path: root/abs/extra/irqbalance/run
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/irqbalance/run')
-rw-r--r--abs/extra/irqbalance/run25
1 files changed, 25 insertions, 0 deletions
diff --git a/abs/extra/irqbalance/run b/abs/extra/irqbalance/run
new file mode 100644
index 0000000..f0d18f7
--- /dev/null
+++ b/abs/extra/irqbalance/run
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# source application-specific settings
+ONESHOT=0
+[ -f /etc/conf.d/irqbalance ] && . /etc/conf.d/irqbalance
+
+if [ "$ONESHOT" -ne 0 ]; then
+ ONESHOT_CMD="oneshot"
+fi
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/irqbalance`
+
+ stat_runit "Starting IRQ balancing"
+ [ -z "$PID" ] && /usr/sbin/irqbalance --debug $ONESHOT_CMD >/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ if [ "$ONESHOT" -eq 0 ]; then
+ add_daemon irqbalance
+ fi
+ stat_done
+ fi